ENV(1)

NAMN
env — kör ett program i en modifierad miljö

SYNOPSIS
env [FLAGGA]... [-] [NAMN=VÄRDE]... [KOMMANDO [ARG]...]

BESKRIVNING

Sätt varje NAMN till VÄRDE i miljön och kör KOMMANDO.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --argv0=ARG
    skicka ARG som det nollte argumentet till KOMMANDO

-i, --ignore-environment
    Börja med en tom miljö.

-0, --null
    Avsluta varje utmatad rad med NOLL, inte nyrad.

-u, --unset=NAMN
    Ta bort variabeln från miljön.

-C, --chdir=KAT
    Byt arbetskatalog till KAT.

-S, --split-string=S
    Bearbeta och dela S i separata argument; används för att skicka flera argument på shebang-rader.

--block-signal[=SIG]
    Blockera leverans av SIG-signaler till KOMMANDO.

--default-signal[=SIG]
    Återställ hanteringen av SIG-signaler till standard.

--ignore-signal[=SIG]
    Ställ in hanteringen av SIG-signaler till att inte göra något.

--list-signal-handling
    Lista icke standardhantering av signaler till standard fel.

-v, --debug
    Skriv utförlig information för varje bearbetningssteg.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ett ensamt - medför -i. Om inget KOMMANDO, skriv ut den resulterande miljön.

SIG kan vara ett signalnamn som ”PIPE” eller ett signalnummer som ”13”. Utan SIG inkluderas alla kända signaler Multipla signaler kan separeras med komma. Ett tomt argument SIG är en no-op.

  Slutstatus:

125 om kommandot env självt misslyckas

126 om KOMMANDO hittas men inte kan startas

127 om KOMMANDO inte finns

-   annars slutstatus från KOMMANDO

SKRIPTFLAGGEHANTERING
Flaggan -S gör det möjligt att ange flera argument i ett skript. Att köra ett skript med namnet 1.pl innehåller följande första rad:

    #!/usr/bin/env -S perl -w -T
    ...

Kommer köra perl -w -T 1.pl

Utan parametern ”-S” kommer skriptet antagligen misslyckas med:

    /usr/bin/env: ”perl -w -T”: Filen eller katalogen finns inte

Se den fullständiga dokumentationen för fler detaljer.

NOTERINGAR
POSIX sidor exec(3p) säger:
    "många befintliga program antar felaktigt att de startas med vissa signaler satta till standardåtgärden och/eller oblockerade … Därför är det bäst att inte blockera eller ignorera signaler över exec:ar utan explicit anledning att göra det, och särskilt inte att blockera signaler över exec:ar till godtyckliga (inte nära samarbetande) program."

UPPHOVSMAN
Skrivet av Richard Mlynarik, David MacKenzie och Assaf Gordon.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
sigaction(2), sigprocmask(2), signal(7)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/env>
eller tillgängligt lokalt via: info '(coreutils) env invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.